About IDEF0 diagrams

Click to show or hide information. Show me an example

Use the text, boxes, and arrows in this standard communication methodology to model business and organizational processes.

IDEF0 diagrams typically include:

  • A context diagram The topmost diagram in an IDEF0 model.

Create an IDEF0 context diagram

  • A parent/child diagram An IDEF0 decomposition hierarchy using parent/child relationships.

Create an IDEF0 parent/child diagram

  • Node trees Tree-like structures of nodes rooted at a chosen node, and used to represent a full IDEF0 decomposition in a single diagram.

Create an IDEF0 node tree


Create an IDEF0 context diagram

Click to show or hide information. Show me an example

  1. On the File menu, point to New, point to Flowchart, and then click IDEF0 Diagram.
  2. Add a title block to provide a node name, title, and number for the diagram.

Click to show or hide information. How?

  1. From the IDEF0 Diagram Shapes stencil, drag a Title block shape onto the drawing page.
  2. In the Custom Properties dialog box, type a node name, such as A-0 (A minus zero), or a more complete name, such as QA/A-0, where QA is an abbreviation for the model name. You can also type a title and number for the diagram.

Select the distance you want the title block border offset from the outside edge of the page, and then click OK.

  3. Add activity boxes (also known as a function boxes) to the diagram.

Click to show or hide information. How?

  1. From the IDEF0 Diagram Shapes stencil, drag an Activity box shape inside of the title block.
  2. In the Custom Properties dialog box, type a name for the process. For Process ID, use the default, A0, to represent the top-level process. For Sub-diagram ID, enter the ID of the decomposition diagram, if this process is a decomposition.
  4. Add external interface (or constraint) arrrows.

Click to show or hide information. How?

  1. From the IDEF0 Diagram Shapes stencil, drag 1 legged connector shapes onto the drawing page and drag their endpoints to connection points on activity boxes.
  2. To add text that describes the connector, select the connector, and then type.
  5. Add purpose and viewpoint statements.

Click to show or hide information. How?

  1. From the IDEF0 Diagram Shapes stencil, drag a Text block 8pt shape onto the drawing page inside the title block.
  2. Drag a side selection handle [image] to stretch the text block across the width of the title block.
  3. With the shape selected, type text to describe the viewpoint and purpose of the model you're creating.


Create an IDEF0 parent/child diagram

Click to show or hide information. Show me an example

  1. On the File menu, point to New, point to Flowchart, and then click IDEF0 Diagram.
  2. Add a title block to provide a node name, title, and number for the diagram.

Click to show or hide information. How?

  1. From the IDEF0 Diagram Shapes stencil, drag the Title block shape onto the drawing page.
  2. In the Custom Properties dialog box, type a node name, such as A0 (for the top-most parent diagram), or type the node number of the parent function box (for example, A3 or A112) if this parent diagram is also a child diagram. You can also type a title and number.

Select the distance you want the title block border offset from the outside edge of the page, and then click OK.

  3. Add an activity box (also known as a function box) to the diagram.

Click to show or hide information. How?

  1. From the IDEF0 Diagram Shapes stencil, drag an Activity box shape into the title block.
  2. In the Custom Properties dialog box, type a name for the process the box represents. (The name should be an active verb or verb phrase.)

Type the Process ID (a number between 1 and 6) and a Sub-diagram ID. The sub-diagram ID (also known as a Detail Reference Expression, or DRE) is the number of this activity box's child diagram, if it will have one. The sub-diagram ID can be a node number, such as A42, or the page number or name of the child diagram.

  3. Continue dragging, naming, and numbering activity boxes until you've placed between three and six boxes in the title block.
  4. Add constraint arrows and modify them the way you want. Use the IDEF0 connector shape to:

Click to show or hide information. Create arrows that join

  1. From the IDEF0 Diagram Shapes stencil, drag an IDEF0 connector onto the drawing page, and then drag its endpoints to connection points [image] on activity boxes. When the endpoints turn red, the shapes are connected.
  2. Drag a second IDEF0 connector onto the page and drag its begin point [image] to a connection point on another activity box.
  3. Place the arrowhead of the second connector directly on top of the arrowhead of the first connector, so that the two arrows appear joined together.

Arrows that join

By overlapping connectors, you can join open-ended boundary arrows and feedback arrows.

Click to show or hide information. Create arrows that fork

  1. From the IDEF0 Diagram Shapes stencil, drag an IDEF0 connector onto the drawing page, and then drag its endpoints to connection points [image] on activity boxes. When the endpoints turn red, the shapes are connected.
  2. Drag a second IDEF0 connector onto the page and align its begin point [image] with the begin point of the first connector.
  3. Drag the end point [image] (the end with the arrow) up or down until the arrows fork the way you want.
  4. Repeat steps 1 to 3 until you have has many forks as you need.

Arrows that fork

By overlapping connectors, you can create open-ended boundary arrows or feedback arrows that bundle or fork.

Click to show or hide information. Create arrows that fan out into branches

  1. Drag an IDEF0 connector onto the drawing page, and then drag the begin point [image] (the end without an arrow) to a connection point [image] on an activity box. When the begin point turns red, the shapes are connected.
  2. Drag the arrow until the connector bends the way you want.
  3. With the connector selected, hold down the CTRL key and drag a copy of the connector to the place where you want the first branch.
  4. Press the F4 key to create as many additional branches as you need.
  5. Connect the end points [image] of the branches to the appropriate activity boxes.

Click to show or hide information. Tip

To better align fanned out branches, connect the begin points [image] of the duplicate branches to the begin point of the original branch. If your branches have two bends, you can also use the control handle [image] to reposition the center leg of the connector.

Arrow branches that fan out

Fan out arrow branches by copying both the arrow and the offset of the first branch.

Click to show or hide information. Create arrows that tunnel in or out

  1. From the IDEF0 Diagram Shapes stencil, drag an IDEF0 connector onto the drawing page, and then drag its endpoints to connection points [image] on the appropriate activity boxes. When the endpoints turn red, the shapes are connected.
  2. To add a tunnel, right-click the connector, and then click Tunnel In or Tunnel Out.

To remove a tunnel, right-click the connector, and then click Tunnel In or Tunnel Out to clear the check box.

Note Use the 1 legged connector shape to add straight-line arrows to an IDEF0 diagram.

  5. To add text that describes the connector, select the connector, and then type.


Create IDEF0 constraint arrows

In IDEF0 diagrams, arrow connectors represent inputs, controls, outputs, and mechanisms that function as constraints.

Use the 1 legged connector shape to add straight-line arrows to an IDEF0 diagram.

Use the IDEF0 connector shape to:

Click to show or hide information. Create arrows that join

  1. From the IDEF0 Diagram Shapes stencil, drag an IDEF0 connector onto the drawing page, and then drag its endpoints to connection points [image] on activity boxes. When the endpoints turn red, the shapes are connected.
  2. Drag a second IDEF0 connector onto the page and drag its begin point [image] to a connection point on another activity box.
  3. Place the arrowhead of the second connector directly on top of the arrowhead of the first connector, so that the two arrows appear joined together.

Arrows that join

By overlapping connectors, you can join open-ended boundary arrows and feedback arrows.

Click to show or hide information. Create arrows that fork

  1. From the IDEF0 Diagram Shapes stencil, drag an IDEF0 connector onto the drawing page, and then drag its endpoints to connection points [image] on activity boxes. When the endpoints turn red, the shapes are connected.
  2. Drag a second IDEF0 connector onto the page and align its begin point [image] with the begin point of the first connector.
  3. Drag the end point [image] (the end with the arrow) up or down until the arrows fork the way you want.
  4. Repeat steps 1 to 3 until you have has many forks as you need.

Arrows that fork

By overlapping connectors, you can create open-ended boundary arrows or feedback arrows that bundle or fork.

Click to show or hide information. Create arrows that fan out into branches

  1. Drag an IDEF0 connector onto the drawing page, and then drag the begin point [image] (the end without an arrow) to a connection point [image] on an activity box. When the begin point turns red, the shapes are connected.
  2. Drag the arrow until the connector bends the way you want.
  3. With the connector selected, hold down the CTRL key and drag a copy of the connector to the place where you want the first branch.
  4. Press the F4 key to create as many additional branches as you need.
  5. Connect the end points [image] of the branches to the appropriate activity boxes.

Click to show or hide information. Tip

To better align fanned out branches, connect the begin points [image] of the duplicate branches to the begin point of the original branch. If your branches have two bends, you can also use the control handle [image] to reposition the center leg of the connector.

Arrow branches that fan out

Fan out arrow branches by copying both the arrow and the offset of the first branch.

Click to show or hide information. Create arrows that tunnel in or out

  1. From the IDEF0 Diagram Shapes stencil, drag an IDEF0 connector onto the drawing page, and then drag its endpoints to connection points [image] on the appropriate activity boxes. When the endpoints turn red, the shapes are connected.
  2. To add a tunnel, right-click the connector, and then click Tunnel In or Tunnel Out.

To remove a tunnel, right-click the connector, and then click Tunnel In or Tunnel Out to clear the check box.


Create IDEF0 node trees

  1. On the File menu, point to New, point to Flowchart, and then click IDEF0 Diagram.
  2. Add a node to the diagram.

Click to show or hide information. How?

  1. Drag a Node shape onto the drawing page.
  2. In the Custom Properties dialog box, type A0 or the node number or name of the node at which you want the tree rooted, and then click OK.
  3. To add a text label to a node, drag a Text block 8pt shape onto the drawing page. With the text block selected, type a label.
  3. Drag a Solid connector shape onto the drawing page. Glue one endpoint to the connection point [image] at the center of the node. Drag the other endpoint until the connector is the length you want and points in the direction you want.
  4. Repeat step 3 until you have added all the branches you need for nodes that will be connected to the top node.
  5. Drag other Node shapes onto the drawing page and glue their centers to the free ends of the connectors.
  6. Work your way down the tree, repeating steps 3, 4, and 5, until you have added all the nodes and connectors you need.

Click to show or hide information. Tip

If you want to be able to jump directly from a node to the detailed diagram that describes it, add a hyperlink to the node, and then link it to the drawing page that contains the detailed diagram.


Fan out arrow branches in IDEF0 diagrams

  1. Drag an IDEF0 connector onto the drawing page, and then drag the begin point [image] (the end without an arrow) to a connection point [image] on an activity box. When the begin point turns red, the shapes are connected.
  2. Drag the arrow until the connector bends the way you want.
  3. With the connector selected, hold down the CTRL key and drag a copy of the connector to the place where you want the first branch.
  4. Press the F4 key to create as many additional branches as you need.
  5. Connect the end points [image] of the branches to the appropriate activity boxes.

Click to show or hide information. Tip

To better align fanned out branches, connect the begin points [image] of the duplicate branches to the begin point of the original branch. If your branches have two bends, you can also use the control handle [image] to reposition the center leg of the connector.

Arrow branches that fan out

Fan out arrow branches by copying both the arrow and the offset of the first branch.


Change a node number in a node tree

  1. In an IDEF0 node tree diagram, right-click the node you want to change, and then click Set Node Number.
  2. In the Custom Properties dialog box, type the number you want, and then click OK.
  3. To reposition the node number, drag the control handle [image] associated with it.


Change activity box names and numbers

  1. In an IDEF0 diagram, right-click the activity box you want to change, and then click Set Process Details.
  2. In the Custom Properties dialog box, type the process name and ID numbers you want, and then click OK.


Add a Detail Reference Expression (DRE) to an activity box

  1. In an IDEF0 diagram, right-click an activity box, and then choose Set Process Details.
  2. In the Custom Properties dialog box, under Sub-diagram ID, type the DRE you want, and then click OK.


Change node, title, or number entries in an IDEF0 title block

  1. Right-click the title block, and then choose Set Diagram Details.
  2. In the Custom Properties dialog box, type the node name, title, and number you want, and then click OK.


Change the size of the title block in an IDEF0 diagram

  1. Right-click the title block, and then choose Set Diagram Details.
  2. In the Custom Properties dialog box, in the Page Offset list, click the amount of offset you want between the edge of the drawing page and the title block border. The larger the offset, the smaller the title block.


Create arrows that fork in IDEF0 diagrams

  1. From the IDEF0 Diagram Shapes stencil, drag an IDEF0 connector onto the drawing page, and then drag its endpoints to connection points [image] on activity boxes. When the endpoints turn red, the shapes are connected.
  2. Drag a second IDEF0 connector onto the page and align its begin point [image] with the begin point of the first connector.
  3. Drag the end point [image] (the end with the arrow) up or down until the arrows fork the way you want.
  4. Repeat steps 1 to 3 until you have has many forks as you need.

Arrows that fork

By overlapping connectors, you can create open-ended boundary arrows or feedback arrows that bundle or fork.


Join arrows in IDEF0 diagrams

  1. From the IDEF0 Diagram Shapes stencil, drag an IDEF0 connector onto the drawing page, and then drag its endpoints to connection points [image] on activity boxes. When the endpoints turn red, the shapes are connected.
  2. Drag a second IDEF0 connector onto the page and drag its begin point [image] to a connection point on another activity box.
  3. Place the arrowhead of the second connector directly on top of the arrowhead of the first connector, so that the two arrows appear joined together.

Arrows that join

By overlapping connectors, you can join open-ended boundary arrows and feedback arrows.


Create tunneled arrows in IDEF0 diagrams

  1. From the IDEF0 Diagram Shapes stencil, drag an IDEF0 connector onto the drawing page, and then drag its endpoints to connection points [image] on the appropriate activity boxes. When the endpoints turn red, the shapes are connected.
  2. To add a tunnel, right-click the connector, and then click Tunnel In or Tunnel Out.

To remove a tunnel, right-click the connector, and then click Tunnel In or Tunnel Out to clear the check box.


Label constraint arrows in IDEF0 diagrams

  1. Drag a Label shape onto the drawing page near the constraint arrow you want to label.
  2. Drag the label's end point [image] until it touches the constraint arrow.
  3. With the label shape selected, type to add label text.

Click to show or hide information. Tip

You can also label a constraint arrow by selecting an arrow and then typing the text you want.